<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../../DTD/geometry.dtd">
<DDDB>

  <logvol name="lvRich2HPDPanel0" material="RichMaterials/Rich2Nitrogen">
    <box name= "HPDbox1"
      sizeX = "Rh2PDPanelX"
      sizeY = "Rh2PDPanelY"
      sizeZ = "Rh2PDPanelZ" />

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol0"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol1"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol2"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 2.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol3"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 3.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol4"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 4.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol5"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 5.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol6"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 6.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol7"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 7.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan0NumCol8"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 8.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>


  </logvol>

<!-- Second HPD Panel.  Two are needed to get a copy number to all HPDs -->

  <logvol name="lvRich2HPDPanel1" material="RichMaterials/Rich2Nitrogen">
    <box name= "HPDbox2"
      sizeX = "Rh2PDPanelX"
      sizeY = "Rh2PDPanelY"
      sizeZ = "Rh2PDPanelZ" />

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol0"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol1"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol2"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 2.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol3"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 3.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol4"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 4.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol5"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 5.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol6"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 6.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol7"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 7.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY + Rh2HPDPitch/2.0"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

    <paramphysvol number = "Rh2HPDRows">
      <physvol name= "pvRich2HPD:Rh2HPDPan1NumCol8"
        logvol = "/dd/Geometry/BeforeMagnetRegion/Rich1/lvRichHPDMaster">
        <posXYZ x = "Rh2HPDPanelLowLeftX + 8.0*Rh2HPDPitchX"
           y = "Rh2HPDPanelLowLeftY"
           z="Rh2HPDPosZ"/>
        <rotXYZ rotY = "180*degree"/>
      </physvol>
      <posXYZ y="Rh2HPDPitch"/>
    </paramphysvol>

  </logvol>


</DDDB>
